loadFillTypes = {}

local modDir = g_currentModDirectory
local modName = g_currentModName

function loadFillTypes.loadMapData(self, superFunc, xmlFile, missionInfo, baseDirectory)
    superFunc(self, xmlFile, missionInfo, baseDirectory)
    local xmlFile = loadXMLFile("mod_fillTypes", modDir .. "xml/fillTypes.xml")

    if xmlFile ~= nil then
        g_fillTypeManager:loadFillTypes(xmlFile, modDir , false, modName)
        delete(xmlFile)
    end
end;

FillTypeManager.loadMapData = Utils.overwrittenFunction(FillTypeManager.loadMapData, loadFillTypes.loadMapData)